## org.eclipse.emf.validation.service
Class ITraversalStrategy.Flat

    java.lang.Object
      org.eclipse.emf.validation.service.AbstractTraversalStrategy
          org.eclipse.emf.validation.service.ITraversalStrategy.Flat

All Implemented Interfaces:
  ITraversalStrategy

Enclosing interface:
  ITraversalStrategy

    public static final class ITraversalStrategy.Flat

extends AbstractTraversalStrategy

An implementation of the `ITraversalStrategy` interface that is non-recursive: it simply iterates the root elements.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.validation.service.ITraversalStrategy
`ITraversalStrategy.Flat, ITraversalStrategy.Recursive`

Constructor Summary
`ITraversalStrategy.Flat()` Initializes me.

Method Summary
`protected int` `countElements(Collection<? extends EObject> traversalRoots)` Implemented by subclasses to compute the number of elements that will be validated within the scope of the specified root elements.
`protected Iterator<? extends EObject>` `createIterator(Collection<? extends EObject> traversalRoots)` Implemented by subclasses to return an iterator that provides all of the elements to be validated, within the scope of the specified root elements.

Methods inherited from class org.eclipse.emf.validation.service.AbstractTraversalStrategy
`elementValidated, getProgressMonitor, getTaskLabel, hasNext, isClientContextChanged, next, startTraversal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ITraversalStrategy.Flat

    public ITraversalStrategy.Flat()

  Initializes me.

Method Detail

### countElements

    protected int countElements(Collection<? extends EObject> traversalRoots)

  Description copied from class: `AbstractTraversalStrategy`
  Implemented by subclasses to compute the number of elements that will be validated within the scope of the specified root elements.

  Specified by:
    `countElements` in class `AbstractTraversalStrategy`
  Parameters:
    `traversalRoots` - the roots of the traversal sub-trees
  Returns:
    the total number of elements to be validated within these sub-trees

### createIterator

    protected Iterator<? extends EObject> createIterator(Collection<? extends EObject> traversalRoots)

  Description copied from class: `AbstractTraversalStrategy`
  Implemented by subclasses to return an iterator that provides all of the elements to be validated, within the scope of the specified root elements.

  Specified by:
    `createIterator` in class `AbstractTraversalStrategy`
  Parameters:
    `traversalRoots` - the roots of the traversal sub-trees
  Returns:
    an iterator that covers all of the elements to be validated

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.